Package: groovy.org.codenarc.rule.naming

## [Groovy] Class ParameterNameRule

- groovy.org.codenarc.rule.naming.ParameterNameRule

- Rule that verifies that the name of each parameter matches a regular expression. This rule applies to method parameters, constructor parameters and closure parameters. By default it checks that parameter names start with a lowercase letter and contains only letters or numbers.

  The `regex` property specifies the default regular expression used to validate the parameter name. It is required and cannot be null or empty. It defaults to '[a-z][a-zA-Z0-9]*'.

  The `ignoreParameterNames` property optionally specifies one or more (comma-separated) parameter names that should be ignored (i.e., that should not cause a rule violation). The name(s) may optionally include wildcard characters ('*' or '?').
  Authors:
    Chris Mair
    Hamlet D'Arcy

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `ignoreParameterNames`
    `String` | `name`
    `int` | `priority`
    `String` | `regex`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `validate()`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String ignoreParameterNames

    - #### String name

    - #### int priority

    - #### String regex

  - ### Method Detail

    - #### void validate()